<?php 
class Flink_Model extends Model {
	function __construct(){
		parent::__construct();
	}
	function add($flink){
		return $this->db->insert("flink",$flink);
	}
	function delete($fid=array()){
		$this->db->in("id",$fid);
		return	$this->db->delete("flink");
	}
	function update($fid,$update){
		$this->db->where("id",$fid);
		return $this->db->update("flink",$update);
	}
	function lists(){
		return $this->db->get("flink")->result_array();
	}
	function getFlink($fid){
		$this->db->where("id",$fid);
		return $this->db->get("flink")->current();
	}
}

